Locks Held for 10 seconds

SELECT startTime, endTime, computedLapse, running, 
  cmd, pid, tablename, maxReadHeld, 
  maxWriteHeld,totalReadWait,totalWriteWait 
FROM tableUse JOIN process USING (processKey)
WHERE (( totalReadHeld > 10000 or totalWriteHeld > 10000 )) 
ORDER BY startTime, endTime;


Commands waiting fo rlocks for over 30 seconds

SELECT startTime, endTime, computedLapse, running, 
  cmd, pid, tablename, maxReadHeld,
  maxWriteHeld,totalReadWait,totalWriteWait 
FROM tableUse JOIN process USING (processKey)
WHERE (( totalReadWait > 30000 or totalWriteWait > 30000 )) 
ORDER BY startTime,endTime;

Commands running per second (look for boottlnecks)

SELECT SUBSTRING(startTime,1,19),MAX(running) 
FROM process 
GROUP BY SUBSTRING(startTime,1,19);
